cURL
curl --request GET \ --url https://api.embedreach.com/api/segments/{id}/users
{ "success": true, "message": "<string>", "data": { "users": [ { "id": "<string>", "firstName": "<string>", "lastName": "<string>", "email": "<string>", "phone": "<string>", "emailOptOut": true, "phoneOptOut": true, "externalId": "<string>" } ] } }
Get users in a tenant segment by id
If using a platform scoped JWT, you can pass in a header to impersonate a specific tenant to impersonate the request as.
The id of the segment
Status 200 response
Show child attributes
The users in the segment
The id of the user
The first name of the user
The last name of the user
The email of the user
The phone of the user
Whether the user has opted out of email
Whether the user has opted out of phone
The external id of the user